import express from "express";
import PermissionHelper from "../../helpers/permissionHelper";

import role from "./role";
import user from "./user";

var router = express.Router({ mergeParams: true });

router.use("/role", PermissionHelper.passCheckMiddleware("read", "user", "role"), role);
router.use("/user", PermissionHelper.passCheckMiddleware("read", "user", "user"), user);

export default router;
